﻿@model IEnumerable<Project_Prn211_4.Models.User>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>User Management</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
        }

        .container {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            margin-bottom: 20px;
        }

            .container a {
                margin-right: 10px;
                text-decoration: none;
                color: #007bff;
                padding: 8px;
                border-radius: 3px;
                background-color: #f2f2f2;
            }

                .container a:hover {
                    background-color: #e6e6e6;
                }

        .user-list {
            margin-top: 20px;
        }

        .user-item {
            display: flex;
            align-items: center;
            padding: 10px;
            background-color: #fff;
            border: 1px solid #ccc;
            border-radius: 5px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            margin-bottom: 10px;
        }

            .user-item .user-info {
                flex: 1;
                margin-left: 10px;
            }

                .user-item .user-info p {
                    margin: 5px 0;
                }

            .user-item .user-actions {
                display: flex;
                gap: 10px;
            }
    </style>
</head>
<body>
    <div class="container">
        <a asp-controller="Home" asp-action="IndexAdmin">Products</a>
        <a asp-controller="Home" asp-action="Profile">Profile</a>
        <a asp-controller="Home" asp-action="Logout">Logout</a>
    </div>

    <div class="user-list">
        @foreach (var user in Model)
        {
            if (@user.Role != 1)
            {
                <div class="user-item">
                    <div class="user-info">
                        <p><strong>Username:</strong> @user.Username</p>
                        <p><strong>Email:</strong> @user.Email</p>
                        <p><strong>Real Name:</strong> @user.RealName</p>
                        <p><strong>Role:</strong>Normal user</p>
                    </div>
                    <div class="user-actions">
                        <a asp-controller="Home" asp-action="DeleteUser" asp-route-id="@user.UserId" onclick="return confirm('Are you sure you want to delete this user?')">Delete</a>
                    </div>
                </div>
            }
            else
            {
                <div class="user-item">
                    <div class="user-info">
                        <p><strong>Username:</strong> @user.Username</p>
                        <p><strong>Email:</strong> @user.Email</p>
                        <p><strong>Real Name:</strong> @user.RealName</p>
                        <p><strong>Role:</strong>Admin</p>
                    </div>
                </div>
            }
            
        }
    </div>
</body>
</html>

